KCMAP_REGISTER_ATT_NOTIFY_FUNC(3)

EXPERIMENTAL_FUNC
kcmap_register_att_notify_func - Register an attribute change function.

SYNOPSIS
#include <karma_kcmap.h>

KCallbackFunc kcmap_register_att_notify_func

(Kcolourmap cmap, void (*func) (), void *info)

DESCRIPTION
This routine will register an attribute notify function for a high level colourmap. The attribute notify function will be called whenever the colourmap attributes are changed (see <-kcmap_set_attributes->). Many attribute notify functions may be registered per colourmap. The first function registered is the first function called upon attribute changes.

cmap
    The colourmap.

func
    The function which is called when the attributes are changed. The prototype function is <-kcmap_PROTO_att_notify_func->.

info
    The initial arbitrary colourmap information pointer.

RETURN VALUE
A KCallbackFunc object.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/